attribute highp vec4 Pos;
attribute lowp vec4 SrcColour;
attribute mediump vec2 TexCoordIn;

varying lowp vec4 DstColour;
varying mediump vec2 TexCoordOut;

uniform mat4 ModelViewProj;

void main(void)
{
	DstColour = SrcColour;
	gl_Position = ModelViewProj * Pos;
	TexCoordOut = TexCoordIn;
}
