varying lowp vec2 TexCoordOut;
uniform sampler2D Texture;

uniform lowp vec3 iColMin;
uniform lowp vec3 iColMax;

void main(void)
{
    lowp vec4 texel = texture2D( Texture, TexCoordOut );

    gl_FragColor.rgb = mix( iColMin, iColMax, texel.r );
    gl_FragColor.a = texel.a;
}