varying lowp vec4 DstColour;

varying highp vec2 TexCoordOut;
uniform sampler2D Texture;
uniform lowp float reference_alpha;

void main(void)
{
	lowp vec4 colour = DstColour * texture2D(Texture, TexCoordOut);
	if (colour.a < reference_alpha)
	{
 		discard;
	}
	else
	{
 		gl_FragColor = colour;
	}
}