varying lowp vec4 DstColour;

varying highp vec2 TexCoordOut;
uniform sampler2D Texture;
uniform lowp float Fade;
varying lowp float FadeRest;
uniform lowp vec4 Colour;

void main(void)
{
    lowp vec4 colour = texture2D(Texture, TexCoordOut);

    gl_FragColor = DstColour * colour * FadeRest + Colour * Fade;
    gl_FragColor.w = colour.w;
}