varying lowp vec4 DstColour;

varying highp vec2 TexCoordOut;
uniform sampler2D Texture;
varying lowp float Fog;
varying lowp float FogRest;
uniform lowp vec4 Colour;

void main(void)
{
    lowp vec4 colour = texture2D(Texture, TexCoordOut);

    gl_FragColor = DstColour * colour * Fog + Colour * FogRest;
    gl_FragColor.w = colour.w;
}