uniform lowp vec3 DstColour;
varying highp vec2 TexCoordOut;
uniform sampler2D Texture;

void main ( void )
{
    lowp vec4 sampleColour = texture2D(Texture, TexCoordOut);
    
    gl_FragColor.rgb = DstColour;
    gl_FragColor.a = sampleColour.a;

}