
attribute vec4 Pos;
attribute lowp vec4 SrcColour;

varying lowp vec4 DstColour;

uniform mat4 ModelViewProj;

attribute vec2 TexCoordIn;
uniform highp vec2 TexCoordOffset;
varying vec2 TexCoordOut;

void main(void)
{
    DstColour = SrcColour;
    gl_Position = ModelViewProj * Pos;
	TexCoordOut = TexCoordIn + TexCoordOffset;
}
